I updated my DSi XL to 1.4.5... Am I A Gonner? :(

Discussion in 'R4 DS' started by lukebussey, Apr 8, 2013.

  1. lukebussey
    OP

    Newcomer lukebussey Newbie

    Joined:
    Apr 8, 2013
    Messages:
    9
    Location:
    Cranbrook, Kent
    Country:
    United Kingdom
    Hi all,
    Today, about an hour ago, I updated my DSi XL from firmware 1.4.4 to 1.4.5E because I wanted the DS Store and I'm so used to just going onto http://r4i-sdhc.com and seeing that they've already updated to the latest firmware with no problems... but this time it seems they haven't.

    It says on the top of the download page "NEW UPDATE! blah blah Works with 1.4.5 blah blah" - so I was lead to believe it would work, and I downloaded it and put it onto my memory card, into the R4i 1.4.3 card, and into a DS Lite to update the firmware... and there's no firmware update option.

    I've tried formatting my memory card and putting the latest stuff on by itself again, incase I had old conflicting files or something, but the same problem still arises.

    I'm certain that there is a 1.4.5 firmware somewhere, because I've seen videos of 1.4.5 R4i cards working with 1.4.5 on DSis! Is my card (An official R4i SDHC 1.4.3 Wifi card, bought from their site), not compatible or something?

    Please help me, I have no DS until it's fixed :(

    Thanks in advance,
    Luke
     


  2. Pong20302000

    Member Pong20302000 making notes on everything

    Joined:
    Sep 8, 2009
    Messages:
    8,076
    Location:
    One's inner self
    Country:
    Japan
    yup your dead.. lol joking

    your card needs to be updated with a firmware flasher that is stored inside the kernel, if you could supply the pic of your exact card i can tell you what update you need
    if its a 1.4.3 you need to find the kernel that once the card is running to
    [​IMG]

    the card needs to be running to update it tho
    so either a dsi on compatible firmware or a DSlite or Phat will be needed to do this
     
  3. lukebussey
    OP

    Newcomer lukebussey Newbie

    Joined:
    Apr 8, 2013
    Messages:
    9
    Location:
    Cranbrook, Kent
    Country:
    United Kingdom
    Thanks for a quick reply, I appreciate it :lol:

    I have a DS Lite to update my card on, no problem. I tried updating it already but I think I'm doing it wrong because there's no option to update - I'll take and upload pictures now.

    Thanks once again!

    Luke

    EDIT - Taken pictures, just compressing and uploading now.
     
  4. Pong20302000

    Member Pong20302000 making notes on everything

    Joined:
    Sep 8, 2009
    Messages:
    8,076
    Location:
    One's inner self
    Country:
    Japan
    you may have to find older versions of the kernel as the latest one will only be for the newer cards, but you should be able to get up to 1.4.5 with it

    what kernel version where you on before
    should display on the flashcard menu in one of the corners when you run it on a lite
     
  5. lukebussey
    OP

    Newcomer lukebussey Newbie

    Joined:
    Apr 8, 2013
    Messages:
    9
    Location:
    Cranbrook, Kent
    Country:
    United Kingdom
    Okay, here's the pictures -

    1 - What my card looks like.
    2 - What I see on the DS Lite when I try and update.
    3 - My DSI (XL - relevant?) current version (1.4.5 E)
    4 - The game that my R4i is currently pretending to be (I dunno if this is useful)
    5 - What I see when trying to use my R4i in my DSi

    [​IMG]
    [​IMG]
    [​IMG]
    [​IMG]
    [​IMG]


    If you could give me a link for the relevant firmware/download I'd be so grateful!

    Thanks immensely!
    Luke

    EDIT - seeing your latest post - the version seen here is what my card was on (because I haven't managed to update it)
     
  6. Pong20302000

    Member Pong20302000 making notes on everything

    Joined:
    Sep 8, 2009
    Messages:
    8,076
    Location:
    One's inner self
    Country:
    Japan
    on the main menu of the card, once it has first booted in the lite, whats the number in the bottom left
     
  7. lukebussey
    OP

    Newcomer lukebussey Newbie

    Joined:
    Apr 8, 2013
    Messages:
    9
    Location:
    Cranbrook, Kent
    Country:
    United Kingdom
    "Ver1.67b" So version 1.67 b :blink: I'm so scared I'm gonna have to buy a new R4i card... I really don't have the money atm! :(

    EDIT - So I guess the software the card is running (from the SD card) is updated, but that's not the problem so that update was pointless XD I need to update the firmware in the card itself (I swear they just make it replicate a different game to make it work?).

    Do you reckon they'll release an update soon, assuming they haven't already?

    Or am I just being REALLY special?
     
  8. Pong20302000

    Member Pong20302000 making notes on everything

    Joined:
    Sep 8, 2009
    Messages:
    8,076
    Location:
    One's inner self
    Country:
    Japan
    dam you updated to the latest, was wondering if you had the older version on there still lol
    will see wha ti can find



    OK 1.64b
    http://www.r4i-sdhc.com/R4i-3DS V1.64b English.zip

    should have the firmware update that makes your card compatible with 1.4.5
    try the update procedure with that and if it does then you can upgrade to 1.67b so you have the latest kernel then afterwards
     
  9. lukebussey
    OP

    Newcomer lukebussey Newbie

    Joined:
    Apr 8, 2013
    Messages:
    9
    Location:
    Cranbrook, Kent
    Country:
    United Kingdom
    Thank you, I really do genuinely appreciate it! :) I'll keep looking too.
     
  10. Pong20302000

    Member Pong20302000 making notes on everything

    Joined:
    Sep 8, 2009
    Messages:
    8,076
    Location:
    One's inner self
    Country:
    Japan
    i edited the above post
     
  11. lukebussey
    OP

    Newcomer lukebussey Newbie

    Joined:
    Apr 8, 2013
    Messages:
    9
    Location:
    Cranbrook, Kent
    Country:
    United Kingdom
    Thank you very much Pong, I'm trying that now! :) I'll let you know. If it does, you're a bloody genius!

    EDIT - I'm afraid I still don't get the option to update unfortunately :( I'll try even older versions and report back if they're any good.

    Hopefully a patch will be released later on so that I won't have to buy a new card!

    Thanks for the idea, though, Pong :) I'll keep working at it
     
  12. lukebussey
    OP

    Newcomer lukebussey Newbie

    Joined:
    Apr 8, 2013
    Messages:
    9
    Location:
    Cranbrook, Kent
    Country:
    United Kingdom
    Just thought I'd mention - I've gone and asked the R4i SDHC crew through their customer support, so any information they give me, I'll post on here encase anybody else is having this problem!
     
  13. 112345veronica

    Member 112345veronica GBAtemp Regular

    Joined:
    Apr 5, 2010
    Messages:
    133
    Country:
    Ireland
    r4i-sdhc.com brought out 2 new cards to replace older versions as cards marked 4.4 for 3ds and 1.4.4 could not be updated to latest firmware settings at that time for 3ds on 4.5 and dsi on 1.4.5
     
  14. lukebussey
    OP

    Newcomer lukebussey Newbie

    Joined:
    Apr 8, 2013
    Messages:
    9
    Location:
    Cranbrook, Kent
    Country:
    United Kingdom
    So does this mean that my current card (1.4.3) will never be able to run 1.4.5? Will there never be a patch or will it just take a while?

    Luke
     
  15. 112345veronica

    Member 112345veronica GBAtemp Regular

    Joined:
    Apr 5, 2010
    Messages:
    133
    Country:
    Ireland
    yes it does mean it cant be updated to 1.4.5

    email from them i received

    [​IMG]
    R4i-SDHC <info@r4i-sdhc.com>
    Feb 19
    [​IMG]
    [​IMG]
    [​IMG]
    to me
    [​IMG]
    First apologize to all customers for informing this late.We released 1.65 several days ago but this kernel can not be used for the old cards to update to latest version.That means all the old cards can not be supported to be compatible with 4.5 3ds,1.45 dsi/xl.Our current 4.5 version r4i-sdhc 3ds or RTS card will be needed.Thanks!
     
  16. Raychard

    Newcomer Raychard Newbie

    Joined:
    Jun 11, 2013
    Messages:
    3
    Location:
    Binmaley, Pangasinan
    Country:
    Philippines
    this is my probem to .... how can i play my dsi now ? i updated too my dsi to 1.4.5 and i can't even access my r4i .. kindly please tell me what to do. thanks in advance !
     
  17. pyromaniac123

    Member pyromaniac123 ส็็็็็็็็็็็็็็็็็็็(ಠ益ಠส็็็็็็็็็็็็็็็็็็็

    Joined:
    Sep 24, 2011
    Messages:
    2,000
    Country:
    United Kingdom
    Buy a new flashcart.
     
  18. Raychard

    Newcomer Raychard Newbie

    Joined:
    Jun 11, 2013
    Messages:
    3
    Location:
    Binmaley, Pangasinan
    Country:
    Philippines
    hmmm... any other solution for that ?
     
  19. pyromaniac123

    Member pyromaniac123 ส็็็็็็็็็็็็็็็็็็็(ಠ益ಠส็็็็็็็็็็็็็็็็็็็

    Joined:
    Sep 24, 2011
    Messages:
    2,000
    Country:
    United Kingdom
    Yeah, start paying for all your games.
     
  20. Kippykip

    Member Kippykip D E L E T T H I S

    Joined:
    Mar 30, 2013
    Messages:
    508
    Country:
    Australia
    Sorry to say, but you will need to buy another flashcard or use your DS lite for gaming...
     

Share This Page